"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DecryptInput_1 = require("./DecryptInput");
var DecryptOutput_1 = require("./DecryptOutput");
var NotFoundException_1 = require("./NotFoundException");
var DisabledException_1 = require("./DisabledException");
var InvalidCiphertextException_1 = require("./InvalidCiphertextException");
var KeyUnavailableException_1 = require("./KeyUnavailableException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var InvalidGrantTokenException_1 = require("./InvalidGrantTokenException");
var KMSInternalException_1 = require("./KMSInternalException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.Decrypt = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'Decrypt',
    http: {
        method: 'POST',
        requestUri: '/',
    },
    input: {
        shape: DecryptInput_1.DecryptInput,
    },
    output: {
        shape: DecryptOutput_1.DecryptOutput,
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException,
        },
        {
            shape: DisabledException_1.DisabledException,
        },
        {
            shape: InvalidCiphertextException_1.InvalidCiphertextException,
        },
        {
            shape: KeyUnavailableException_1.KeyUnavailableException,
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException,
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException,
        },
        {
            shape: KMSInternalException_1.KMSInternalException,
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException,
        },
    ],
};
//# sourceMappingURL=Decrypt.js.map