"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("./TagResourceInput");
var TagResourceOutput_1 = require("./TagResourceOutput");
var KMSInternalException_1 = require("./KMSInternalException");
var NotFoundException_1 = require("./NotFoundException");
var InvalidArnException_1 = require("./InvalidArnException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var LimitExceededException_1 = require("./LimitExceededException");
var TagException_1 = require("./TagException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'TagResource',
    http: {
        method: 'POST',
        requestUri: '/',
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput,
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput,
    },
    errors: [
        {
            shape: KMSInternalException_1.KMSInternalException,
        },
        {
            shape: NotFoundException_1.NotFoundException,
        },
        {
            shape: InvalidArnException_1.InvalidArnException,
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException,
        },
        {
            shape: LimitExceededException_1.LimitExceededException,
        },
        {
            shape: TagException_1.TagException,
        },
    ],
};
//# sourceMappingURL=TagResource.js.map